Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.runtime
Class ResultListFactory

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.runtime.ResultListFactory

public class ResultListFactory
extends Object

A factory that creates an appropriate ResultList wrapper for a given Select or ResultSet. If the ResultSet is of type `ResultSet.TYPE_SCROLL_INSENSITIVE`, then an instance of `LazyResultList` will be created, otherwise an instance of `EagerResultList` will be created. Note that the determination to create a ResultSet of type ResultSet.TYPE_SCROLL_INSENSITIVE is made in `ConnectionWrapper.createStatement()`.

Since:
  2.2.6

Constructor Summary
`ResultListFactory()`

Method Summary
`static ResultList` | `createResultList(Configuration config, ResultSet rs, CustomResultObjectProvider rop)`
`static ResultList` | `createResultList(Configuration config, ResultSet rs, ResultObjectProvider rop)`
`static ResultList` | `createResultList(Configuration config, Select select, SQLExecutionManager manager, ResultObjectProvider rop)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultListFactory

    public ResultListFactory()

Method Detail

### createResultList

    public static ResultList createResultList(Configuration config,
                                              Select select,
                                              SQLExecutionManager manager,
                                              ResultObjectProvider rop)
                                       throws SQLException

### createResultList

    public static ResultList createResultList(Configuration config,
                                              ResultSet rs,
                                              ResultObjectProvider rop)
                                       throws SQLException

### createResultList

    public static ResultList createResultList(Configuration config,
                                              ResultSet rs,
                                              CustomResultObjectProvider rop)
                                       throws SQLException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.